## GntWindow

GntWindow — A toplevel window

## Functions

#define | GNT_WINDOW_FLAGS()
#define | GNT_WINDOW_SET_FLAGS()
#define | GNT_WINDOW_UNSET_FLAGS()
GType | gnt_window_get_gtype ()
#define | gnt_vwindow_new()
#define | gnt_hwindow_new()
GntWidget * | gnt_window_new ()
GntWidget * | gnt_window_box_new ()
void | gnt_window_set_menu ()
GntMenu * | gnt_window_get_menu ()
const char * | gnt_window_get_accel_item ()
void | gnt_window_set_maximize ()
GntWindowFlags | gnt_window_get_maximize ()
void | gnt_window_workspace_hiding ()
void | gnt_window_workspace_showing ()

## Types and Values

enum | GntWindowFlags
struct | GntWindow
| GntWindowPriv

## Description

## Functions

### GNT_WINDOW_FLAGS()

    #define             GNT_WINDOW_FLAGS(obj)

`GNT_WINDOW_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_WINDOW_SET_FLAGS()

    #define             GNT_WINDOW_SET_FLAGS(obj, flags)

`GNT_WINDOW_SET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_WINDOW_UNSET_FLAGS()

    #define             GNT_WINDOW_UNSET_FLAGS(obj, flags)

`GNT_WINDOW_UNSET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### gnt_window_get_gtype ()

    GType
    gnt_window_get_gtype (void);

#### Returns

GType for GntWindow.

### gnt_vwindow_new()

    #define             gnt_vwindow_new(homo)

### gnt_hwindow_new()

    #define             gnt_hwindow_new(homo)

### gnt_window_new ()

    GntWidget *
    gnt_window_new (void);

Create a new window.

#### Returns

The newly created window.

### gnt_window_box_new ()

    GntWidget *
    gnt_window_box_new (gboolean homo,
                        gboolean vert);

Create a new window.

#### Parameters

homo | `TRUE` if the widgets inside the window should have the same dimensions. |
vert | `TRUE` if the widgets inside the window should be stacked vertically. |

#### Returns

The newly created window.

### gnt_window_set_menu ()

    void
    gnt_window_set_menu (GntWindow *window,
                         GntMenu *menu);

Set the menu for a window.

#### Parameters

window | The window. |
menu | The menu for the window. |

### gnt_window_get_menu ()

    GntMenu *
    gnt_window_get_menu (GntWindow *window);

Get the menu for a window.

#### Parameters

window | The window. |

#### Returns

The menu for the window.

[transfer none][nullable]

Since: 2.14.0

### gnt_window_get_accel_item ()

    const char *
    gnt_window_get_accel_item (GntWindow *window,
                               const char *key);

Return the id of a menuitem specified to a keystroke.

#### Parameters

window | The window. |
key | The keystroke. |

#### Returns

The id of the menuitem bound to the keystroke, or `NULL`.

Since: 2.3.0

### gnt_window_set_maximize ()

    void
    gnt_window_set_maximize (GntWindow *window,
                             GntWindowFlags maximize);

Maximize a window, either horizontally or vertically, or both.

#### Parameters

window | The window to maximize. |
maximize | The maximization state of the window. |

Since: 2.3.0

### gnt_window_get_maximize ()

    GntWindowFlags
    gnt_window_get_maximize (GntWindow *window);

Get the maximization state of a window.

#### Parameters

window | The window. |

#### Returns

The maximization state of the window.

Since: 2.3.0

### gnt_window_workspace_hiding ()

    void
    gnt_window_workspace_hiding (GntWindow *Param1);

### gnt_window_workspace_showing ()

    void
    gnt_window_workspace_showing (GntWindow *Param1);

## Types and Values

### enum GntWindowFlags

#### Members

GNT_WINDOW_MAXIMIZE_X |  |
GNT_WINDOW_MAXIMIZE_Y |  |

### struct GntWindow

    struct GntWindow {
    	GntBox parent;
    	GntMenu *GNTSEAL(menu);
    	struct _GntWindowPriv *GNTSEAL(priv);
    };

Access to any fields is deprecated. See inline comments for replacements.

### GntWindowPriv

    typedef struct _GntWindowPriv GntWindowPriv;

`GntWindowPriv` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.